VERSION 5.00
Begin VB.Form frmImgPreview 
   Caption         =   "Form1"
   ClientHeight    =   4275
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5775
   LinkTopic       =   "Form1"
   ScaleHeight     =   4275
   ScaleWidth      =   5775
   StartUpPosition =   3  'Windows Default
   Begin VB.OptionButton optTile 
      Caption         =   "&Tile"
      Height          =   255
      Left            =   4680
      TabIndex        =   7
      Top             =   120
      Width           =   975
   End
   Begin VB.OptionButton optStretch 
      Caption         =   "&Stretch"
      Height          =   255
      Left            =   3480
      TabIndex        =   6
      Top             =   120
      Width           =   975
   End
   Begin VB.OptionButton optActual 
      Caption         =   "&Actual"
      Height          =   255
      Left            =   2280
      TabIndex        =   5
      Top             =   120
      Width           =   975
   End
   Begin VB.PictureBox picPreview 
      Height          =   3495
      Left            =   2280
      ScaleHeight     =   3435
      ScaleWidth      =   3195
      TabIndex        =   4
      Top             =   480
      Width           =   3255
      Begin VB.Image imgHidden 
         Height          =   975
         Left            =   240
         Top             =   240
         Width           =   2775
      End
   End
   Begin VB.FileListBox filFile 
      Height          =   1350
      Left            =   120
      TabIndex        =   3
      Top             =   2640
      Width           =   2055
   End
   Begin VB.DirListBox dirPath 
      Height          =   1050
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2055
   End
   Begin VB.DriveListBox drvDrive 
      Height          =   330
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   2055
   End
   Begin VB.Label Label3 
      Caption         =   "&Files"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   2280
      Width           =   1215
   End
   Begin VB.Label Label2 
      Caption         =   "&Path"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   840
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "&Drive"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   975
   End
End
Attribute VB_Name = "frmImgPreview"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
    
    Private Sub Form_Load()
        drvDrive.Drive = "c:"
        dirPath.Path = "c:\windows"
        filFile.Pattern = "*.bmp;*.dib;*.wmf;*.emf;*.gif;*.jpg"
    End Sub
    
    Private Sub drvDrive_Change()
        ' ѧ: سѵ Drive ͡ volumn label
        dirPath.Path = Left$(drvDrive.Drive, 1) & ":\"
    End Sub
    
    Private Sub dirPath_Change()
        filFile.Path = dirPath.Path
    End Sub
    
    Private Sub filFile_Click()
        ' Ŵ image  Image ͹
        LoadImage filFile.Path & IIf(Right$(filFile.Path, 1) <> "\", "\", "") & filFile.filename
    End Sub
    
    Private Sub Form_Resize()
        On Error Resume Next
        filFile.Height = ScaleHeight - filFile.Top
        picPreview.Move picPreview.Left, picPreview.Top, ScaleWidth - picPreview.Left, ScaleHeight - picPreview.Top
        ShowImage
    End Sub
    
    Private Sub optActual_Click()
        ShowImage
    End Sub
    
    Private Sub optStretch_Click()
        ShowImage
    End Sub
    
    Private Sub optTile_Click()
        ShowImage
    End Sub
    
    Sub LoadImage(filename As String)
        On Error Resume Next
        imgHidden.Picture = LoadPicture(filename)
        If Err Then
            MsgBox "öŴ" & filename, vbExclamation
            Exit Sub
        End If
        ' ʴҾ лѺ caption ͧ
        ShowImage
        Caption = filename & "- Image Preview"
    End Sub
    
    Sub ShowImage()
        ' ʴҾ
        Dim x As Single, y As Single
        
        If optActual.Value Then
            ' ʴҾ觡ҧ
            picPreview.Cls
            picPreview.PaintPicture imgHidden.Picture, (picPreview.ScaleWidth - imgHidden.Width) / 2, _
            (picPreview.ScaleHeight - imgHidden.Height) / 2
        ElseIf optStretch.Value Then
            ' stretch
            picPreview.PaintPicture imgHidden.Picture, 0, 0, picPreview.ScaleWidth, _
                picPreview.ScaleHeight
        ElseIf optTile.Value Then
            ' tile
            ' 觹ӧҹ੾ imgHidden.BorderStyle = 0
            
            x = 0
            Do While x < picPreview.ScaleWidth
                y = 0
                Do While y < picPreview.ScaleHeight
                    picPreview.PaintPicture imgHidden.Picture, x, y
                    y = y + imgHidden.Height
                Loop
                x = x + imgHidden.Width
            Loop
        End If
    
    End Sub
    
